Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class UIPoll

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.ajax4jsf.component.UIPoll

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

Direct Known Subclasses:
  AjaxPoll, UIProgressBar

    public abstract class UIPoll

extends org.ajax4jsf.component.AjaxActionComponent

Component for periodically call AJAX events on server ( poll actions )

Author:
  shura

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from class javax.faces.component.UICommand
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UIPoll()`

Method Summary
`abstract int` | `getInterval()`
`abstract boolean` | `isEnabled()`
`boolean` | `isSubmitted()`
`abstract void` | `setEnabled(boolean enable)`
`abstract void` | `setInterval(int interval)`
`void` | `setSubmitted(boolean submitted)`
`protected void` | `setupReRender(javax.faces.context.FacesContext facesContext)`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIPoll

    public UIPoll()

Method Detail

### isSubmitted

    public boolean isSubmitted()

  Returns:
    the submitted

### setSubmitted

    public void setSubmitted(boolean submitted)

  Parameters:
    `submitted` - the submitted to set

### getInterval

    public abstract int getInterval()

  Returns:
    time in mc for polling interval.

### setInterval

    public abstract void setInterval(int interval)

  Parameters:
    `interval` - time in mc for polling interval.

### isEnabled

    public abstract boolean isEnabled()

### setEnabled

    public abstract void setEnabled(boolean enable)

### setupReRender

    protected void setupReRender(javax.faces.context.FacesContext facesContext)

  Overrides:
    `setupReRender` in class `org.ajax4jsf.component.AjaxActionComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.